/*
 * Copyright 2019. Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.android.apps.santatracker.doodles.penguinswim;

public interface PenguinSwimSprites {

    public static int[] penguin_swim_banner = {
        R.drawable.penguin_swim_banner,
    };

    public static int[] penguin_swim_dazed = {
        R.drawable.penguin_swim_dazed_01,
        R.drawable.penguin_swim_dazed_02,
        R.drawable.penguin_swim_dazed_03,
        R.drawable.penguin_swim_dazed_04,
        R.drawable.penguin_swim_dazed_05,
        R.drawable.penguin_swim_dazed_06,
        R.drawable.penguin_swim_dazed_07,
        R.drawable.penguin_swim_dazed_08,
        R.drawable.penguin_swim_dazed_09,
        R.drawable.penguin_swim_dazed_10,
        R.drawable.penguin_swim_dazed_11,
        R.drawable.penguin_swim_dazed_12,
        R.drawable.penguin_swim_dazed_13,
        R.drawable.penguin_swim_dazed_14,
        R.drawable.penguin_swim_dazed_15,
        R.drawable.penguin_swim_dazed_16,
        R.drawable.penguin_swim_dazed_17,
        R.drawable.penguin_swim_dazed_18,
        R.drawable.penguin_swim_dazed_19,
        R.drawable.penguin_swim_dazed_20,
        R.drawable.penguin_swim_dazed_21,
    };

    public static int[] penguin_swim_descending = {
        R.drawable.penguin_swim_descending_01,
        R.drawable.penguin_swim_descending_02,
        R.drawable.penguin_swim_descending_03,
        R.drawable.penguin_swim_descending_04,
        R.drawable.penguin_swim_descending_05,
        R.drawable.penguin_swim_descending_06,
        R.drawable.penguin_swim_descending_07,
        R.drawable.penguin_swim_descending_08,
        R.drawable.penguin_swim_descending_09,
    };

    public static int[] penguin_swim_elf = {
        R.drawable.penguin_swim_elf_01,
        R.drawable.penguin_swim_elf_02,
        R.drawable.penguin_swim_elf_03,
        R.drawable.penguin_swim_elf_04,
        R.drawable.penguin_swim_elf_05,
        R.drawable.penguin_swim_elf_06,
        R.drawable.penguin_swim_elf_07,
        R.drawable.penguin_swim_elf_08,
        R.drawable.penguin_swim_elf_09,
        R.drawable.penguin_swim_elf_10,
        R.drawable.penguin_swim_elf_11,
        R.drawable.penguin_swim_elf_12,
        R.drawable.penguin_swim_elf_13,
        R.drawable.penguin_swim_elf_14,
        R.drawable.penguin_swim_elf_15,
    };

    public static int[] penguin_swim_frozen = {
        R.drawable.penguin_swim_frozen_01,
        R.drawable.penguin_swim_frozen_02,
        R.drawable.penguin_swim_frozen_03,
        R.drawable.penguin_swim_frozen_04,
        R.drawable.penguin_swim_frozen_05,
        R.drawable.penguin_swim_frozen_06,
        R.drawable.penguin_swim_frozen_07,
        R.drawable.penguin_swim_frozen_08,
        R.drawable.penguin_swim_frozen_09,
        R.drawable.penguin_swim_frozen_10,
        R.drawable.penguin_swim_frozen_11,
        R.drawable.penguin_swim_frozen_12,
        R.drawable.penguin_swim_frozen_13,
        R.drawable.penguin_swim_frozen_14,
        R.drawable.penguin_swim_frozen_15,
        R.drawable.penguin_swim_frozen_16,
        R.drawable.penguin_swim_frozen_17,
        R.drawable.penguin_swim_frozen_18,
        R.drawable.penguin_swim_frozen_19,
        R.drawable.penguin_swim_frozen_20,
        R.drawable.penguin_swim_frozen_21,
        R.drawable.penguin_swim_frozen_22,
        R.drawable.penguin_swim_frozen_23,
        R.drawable.penguin_swim_frozen_24,
        R.drawable.penguin_swim_frozen_25,
        R.drawable.penguin_swim_frozen_26,
        R.drawable.penguin_swim_frozen_27,
        R.drawable.penguin_swim_frozen_28,
    };

    public static int[] penguin_swim_ice = {
        R.drawable.penguin_swim_ice_01,
        R.drawable.penguin_swim_ice_02,
        R.drawable.penguin_swim_ice_03,
        R.drawable.penguin_swim_ice_04,
        R.drawable.penguin_swim_ice_05,
        R.drawable.penguin_swim_ice_06,
        R.drawable.penguin_swim_ice_07,
        R.drawable.penguin_swim_ice_08,
        R.drawable.penguin_swim_ice_09,
        R.drawable.penguin_swim_ice_10,
        R.drawable.penguin_swim_ice_11,
        R.drawable.penguin_swim_ice_12,
        R.drawable.penguin_swim_ice_13,
        R.drawable.penguin_swim_ice_14,
        R.drawable.penguin_swim_ice_15,
    };

    public static int[] penguin_swim_idle = {
        R.drawable.penguin_swim_start_01,
        R.drawable.penguin_swim_start_02,
        R.drawable.penguin_swim_start_03,
        R.drawable.penguin_swim_start_04,
        R.drawable.penguin_swim_start_05,
        R.drawable.penguin_swim_start_06,
        R.drawable.penguin_swim_start_07,
        R.drawable.penguin_swim_start_08,
    };

    public static int[] penguin_swim_start = {
        R.drawable.penguin_swim_start_09,
        R.drawable.penguin_swim_start_10,
        R.drawable.penguin_swim_start_11,
        R.drawable.penguin_swim_start_12,
        R.drawable.penguin_swim_start_13,
        R.drawable.penguin_swim_start_14,
        R.drawable.penguin_swim_start_15,
        R.drawable.penguin_swim_start_16,
    };

    public static int[] penguin_swim_canegrab = {
        R.drawable.penguin_swim_canegrab_01,
        R.drawable.penguin_swim_canegrab_02,
        R.drawable.penguin_swim_canegrab_03,
        R.drawable.penguin_swim_canegrab_04,
        R.drawable.penguin_swim_canegrab_05,
        R.drawable.penguin_swim_canegrab_06,
        R.drawable.penguin_swim_canegrab_07,
        R.drawable.penguin_swim_canegrab_08,
        R.drawable.penguin_swim_canegrab_09,
        R.drawable.penguin_swim_canegrab_10,
        R.drawable.penguin_swim_canegrab_11,
        R.drawable.penguin_swim_canegrab_12,
        R.drawable.penguin_swim_canegrab_13,
        R.drawable.penguin_swim_canegrab_14,
        R.drawable.penguin_swim_canegrab_15,
        R.drawable.penguin_swim_canegrab_16,
        R.drawable.penguin_swim_canegrab_17,
        R.drawable.penguin_swim_canegrab_18,
        R.drawable.penguin_swim_canegrab_19,
        R.drawable.penguin_swim_canegrab_20,
        R.drawable.penguin_swim_canegrab_21,
        R.drawable.penguin_swim_canegrab_22,
        R.drawable.penguin_swim_canegrab_23,
        R.drawable.penguin_swim_canegrab_24,
        R.drawable.penguin_swim_canegrab_25,
        R.drawable.penguin_swim_canegrab_26,
        R.drawable.penguin_swim_canegrab_27,
        R.drawable.penguin_swim_canegrab_28,
        R.drawable.penguin_swim_canegrab_29,
        R.drawable.penguin_swim_canegrab_30,
    };

    public static int[] swimming_rings = {
        R.drawable.swimming_rings_00,
        R.drawable.swimming_rings_01,
        R.drawable.swimming_rings_02,
        R.drawable.swimming_rings_03,
        R.drawable.swimming_rings_04,
        R.drawable.swimming_rings_05,
        R.drawable.swimming_rings_06,
        R.drawable.swimming_rings_07,
        R.drawable.swimming_rings_08,
        R.drawable.swimming_rings_09,
    };

    public static int[] penguin_swim_ascending = {
        R.drawable.penguin_swim_ascending_01,
        R.drawable.penguin_swim_ascending_02,
        R.drawable.penguin_swim_ascending_03,
        R.drawable.penguin_swim_ascending_04,
        R.drawable.penguin_swim_ascending_05,
        R.drawable.penguin_swim_ascending_06,
        R.drawable.penguin_swim_ascending_07,
        R.drawable.penguin_swim_ascending_08,
        R.drawable.penguin_swim_ascending_09,
    };

    public static int[] penguin_swim_candy = {
        R.drawable.penguin_swim_candy_04,
    };

    public static int[] penguin_swim_swimming = {
        R.drawable.penguin_swim_swimming_01,
        R.drawable.penguin_swim_swimming_02,
        R.drawable.penguin_swim_swimming_03,
        R.drawable.penguin_swim_swimming_04,
        R.drawable.penguin_swim_swimming_05,
        R.drawable.penguin_swim_swimming_06,
        R.drawable.penguin_swim_swimming_07,
        R.drawable.penguin_swim_swimming_08,
        R.drawable.penguin_swim_swimming_09,
        R.drawable.penguin_swim_swimming_10,
        R.drawable.penguin_swim_swimming_11,
        R.drawable.penguin_swim_swimming_12,
        R.drawable.penguin_swim_swimming_13,
        R.drawable.penguin_swim_swimming_14,
        R.drawable.penguin_swim_swimming_15,
        R.drawable.penguin_swim_swimming_16,
    };

    public static int[] penguin_swim_swimmingunderwater = {
        R.drawable.penguin_swim_swimmingunderwater_01,
        R.drawable.penguin_swim_swimmingunderwater_02,
        R.drawable.penguin_swim_swimmingunderwater_03,
        R.drawable.penguin_swim_swimmingunderwater_04,
        R.drawable.penguin_swim_swimmingunderwater_05,
        R.drawable.penguin_swim_swimmingunderwater_06,
        R.drawable.penguin_swim_swimmingunderwater_07,
        R.drawable.penguin_swim_swimmingunderwater_08,
        R.drawable.penguin_swim_swimmingunderwater_09,
        R.drawable.penguin_swim_swimmingunderwater_10,
        R.drawable.penguin_swim_swimmingunderwater_11,
        R.drawable.penguin_swim_swimmingunderwater_12,
    };

    public static int[] tutorial_swimming = {
        R.drawable.penguin_swim_tutorials_01,
        R.drawable.penguin_swim_tutorials_02,
        R.drawable.penguin_swim_tutorials_03,
        R.drawable.penguin_swim_tutorials_04,
        R.drawable.penguin_swim_tutorials_05,
        R.drawable.penguin_swim_tutorials_06,
        R.drawable.penguin_swim_tutorials_07,
        R.drawable.penguin_swim_tutorials_08,
    };
}
