/*
 * Copyright (C) 2016 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.android.apps.santatracker.presentquest.vo;

import com.google.android.apps.santatracker.presentquest.R;

/** Data for user avatar images. */
public class Avatars {

    // Number of Avatars
    public static final int NUM_AVATARS = 12;

    // Unlocked images for avatars
    public static int[] AVATARS_UNLOCKED = {
        R.drawable.unlock_01_gingerbread_man,
        R.drawable.unlock_02_rudolph,
        R.drawable.unlock_03_nutcracker,
        R.drawable.unlock_04_peg_man,
        R.drawable.unlock_05_walrus,
        R.drawable.unlock_06_bear,
        R.drawable.unlock_07_snowman,
        R.drawable.unlock_08_snow_monster,
        R.drawable.unlock_09_angry_penguin,
        R.drawable.unlock_10_dinosaur,
        R.drawable.unlock_11_mrs_claus,
        R.drawable.unlock_12_santa,
    };

    // Locked images for avatars
    public static int[] AVATARS_LOCKED = {
        R.drawable.lock_01_gingerbread_man,
        R.drawable.lock_02_rudolph,
        R.drawable.lock_03_nutcracker,
        R.drawable.lock_04_peg_man,
        R.drawable.lock_05_walrus,
        R.drawable.lock_06_bear,
        R.drawable.lock_07_snowman,
        R.drawable.lock_08_snow_monster,
        R.drawable.lock_09_angry_penguin,
        R.drawable.lock_10_dinosaur,
        R.drawable.lock_11_mrs_claus,
        R.drawable.lock_12_santa,
    };
}
