/*
 * Copyright 2019. Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.android.apps.santatracker;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import com.google.android.apps.santatracker.common.NotificationConstants;

public class NotificationBroadcastReceiver extends BroadcastReceiver {

    /** Enable notifications when Santa has taken off */
    public static final boolean TAKEOFF_NOTIFICATIONS_ENABLED = true;

    @Override
    public void onReceive(Context context, Intent intent) {
        int type = intent.getIntExtra(NotificationConstants.KEY_NOTIFICATION_TYPE, -1);

        switch (type) {
            case NotificationConstants.NOTIFICATION_TAKEOFF:
                if (TAKEOFF_NOTIFICATIONS_ENABLED) {
                    SantaNotificationBuilder.createSantaNotification(
                            context, R.string.notification_takeoff);
                }
                break;
        }
    }
}
