/*
 * Copyright 2019. Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.android.apps.santatracker.launch;

public class CardKeys {
    // Present quest and tracker
    public static final int PRESENT_QUEST_CARD = 0;

    // Game cards
    public static final int SANTA_SNAP_CARD = 2;
    public static final int SWIMMING_CARD = 3;
    public static final int CITY_QUIZ_CARD = 4;
    public static final int RUNNING_CARD = 5;
    public static final int GUMBALL_CARD = 6;
    public static final int MEMORY_CARD = 7;
    public static final int ROCKET_CARD = 8;
    public static final int DANCER_CARD = 9;

    public static final int JETPACK_CARD = 50;
    public static final int PRESENT_THROW_CARD = 51;

    // Web games
    public static final int WEB_AIRPORT_CARD = 10;
    public static final int WEB_BOATLOAD_CARD = 11;
    public static final int WEB_CLAUSDRAWS_CARD = 12;
    public static final int WEB_CODEBOOGIE_CARD = 13;
    public static final int WEB_CODELAB_CARD = 14;
    public static final int WEB_GUMBALL_CARD = 15;
    public static final int WEB_JAMBAND_CARD = 16;
    public static final int WEB_PENGUINDASH_CARD = 18;
    public static final int WEB_PRESENTBOUNCE_CARD = 19;
    public static final int WEB_PRESENTDROP_CARD = 20;
    public static final int WEB_RACER_CARD = 21;
    public static final int WEB_RUNNER_CARD = 22;
    public static final int WEB_SANTASEARCH_CARD = 23;
    public static final int WEB_SANTASELFIE_CARD = 24;
    public static final int WEB_SEASONOFGIVING_CARD = 25;
    public static final int WEB_ELFSKI_CARD = 26;
    public static final int WEB_SNOWBALL_CARD = 27;
    public static final int WEB_SNOWFLAKE_CARD = 28;
    public static final int WEB_SPEEDSKETCH_CARD = 29;
    public static final int WEB_WRAPBATTLE_CARD = 30;
    public static final int WEB_ELFMAKER_CARD = 35;

    // Movie cards
    public static final int VIDEO01_CARD = 32;
    public static final int VIDEO15_CARD = 33;
    public static final int VIDEO23_CARD = 34;

    public static final int HEADER_CARD = 100;

    public static final int[] WEB_SCENE_CARDS =
            new int[] {
                WEB_AIRPORT_CARD,
                WEB_BOATLOAD_CARD,
                WEB_CLAUSDRAWS_CARD,
                WEB_CODEBOOGIE_CARD,
                WEB_CODELAB_CARD,
                WEB_GUMBALL_CARD,
                WEB_JAMBAND_CARD,
                WEB_PENGUINDASH_CARD,
                WEB_PRESENTBOUNCE_CARD,
                WEB_PRESENTDROP_CARD,
                WEB_RACER_CARD,
                WEB_RUNNER_CARD,
                WEB_SANTASEARCH_CARD,
                WEB_SANTASELFIE_CARD,
                WEB_SEASONOFGIVING_CARD,
                WEB_ELFSKI_CARD,
                WEB_SNOWBALL_CARD,
                WEB_SNOWFLAKE_CARD,
                WEB_SPEEDSKETCH_CARD,
                WEB_WRAPBATTLE_CARD,
                WEB_ELFMAKER_CARD
            };
}
