/*
 * Copyright 2019. Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.android.apps.santatracker.doodles.snowballrun;

public interface SnowballRunSprites {

    public static int[] snowball = {
        R.drawable.snowball01,
        R.drawable.snowball02,
        R.drawable.snowball03,
        R.drawable.snowball04,
        R.drawable.snowball05,
        R.drawable.snowball06,
        R.drawable.snowball07,
        R.drawable.snowball08,
    };

    public static int[] melon_shadow = {
        R.drawable.melon_shadow,
    };

    public static int[] empty_frame = {
        R.drawable.empty_frame,
    };

    public static int[] snowballrun_running_snowman_opponent = {
        R.drawable.snowballrun_running_snowman_opponent_01,
        R.drawable.snowballrun_running_snowman_opponent_02,
        R.drawable.snowballrun_running_snowman_opponent_03,
        R.drawable.snowballrun_running_snowman_opponent_04,
        R.drawable.snowballrun_running_snowman_opponent_05,
        R.drawable.snowballrun_running_snowman_opponent_06,
        R.drawable.snowballrun_running_snowman_opponent_07,
        R.drawable.snowballrun_running_snowman_opponent_08,
        R.drawable.snowballrun_running_snowman_opponent_09,
        R.drawable.snowballrun_running_snowman_opponent_10,
        R.drawable.snowballrun_running_snowman_opponent_11,
        R.drawable.snowballrun_running_snowman_opponent_12,
        R.drawable.snowballrun_running_snowman_opponent_13,
        R.drawable.snowballrun_running_snowman_opponent_14,
        R.drawable.snowballrun_running_snowman_opponent_15,
        R.drawable.snowballrun_running_snowman_opponent_16,
    };

    public static int[] running_snowman_squish = {
        R.drawable.snowballrun_snowman_squished_05,
        R.drawable.snowballrun_snowman_squished_06,
        R.drawable.snowballrun_snowman_squished_07,
        R.drawable.snowballrun_snowman_squished_08,
    };

    public static int[] snowballrunner_background = {
        R.drawable.snowballrunner_background,
    };

    public static int[] snowball_runner_trees1 = {
        R.drawable.snowball_runner_trees1,
    };

    public static int[] snowball_runner_trees2 = {
        R.drawable.snowball_runner_trees2,
    };

    public static int[] running_button = {
        R.drawable.running_button_00, R.drawable.running_button_01, R.drawable.running_button_02,
    };

    public static int[] snowballrun_elf_squish = {
        R.drawable.snowballrun_elf_squished_01,
        R.drawable.snowballrun_elf_squished_02,
        R.drawable.snowballrun_elf_squished_03,
        R.drawable.snowballrun_elf_squished_04,
    };

    public static int[] running_finish_line = {
        R.drawable.running_finish_line,
    };

    public static int[] snowballrun_running_elf_opponent = {
        R.drawable.snowballrun_running_elf_opponent_01,
        R.drawable.snowballrun_running_elf_opponent_02,
        R.drawable.snowballrun_running_elf_opponent_03,
        R.drawable.snowballrun_running_elf_opponent_04,
        R.drawable.snowballrun_running_elf_opponent_05,
        R.drawable.snowballrun_running_elf_opponent_06,
        R.drawable.snowballrun_running_elf_opponent_07,
        R.drawable.snowballrun_running_elf_opponent_08,
        R.drawable.snowballrun_running_elf_opponent_09,
        R.drawable.snowballrun_running_elf_opponent_10,
        R.drawable.snowballrun_running_elf_opponent_11,
        R.drawable.snowballrun_running_elf_opponent_12,
        R.drawable.snowballrun_running_elf_opponent_13,
        R.drawable.snowballrun_running_elf_opponent_14,
        R.drawable.snowballrun_running_elf_opponent_15,
        R.drawable.snowballrun_running_elf_opponent_16,
    };

    public static int[] running_elfopponent_squish = {
        R.drawable.snowballrun_elfopponent_squished_06,
        R.drawable.snowballrun_elfopponent_squished_07,
        R.drawable.snowballrun_elfopponent_squished_08,
        R.drawable.snowballrun_elfopponent_squished_09,
    };

    public static int[] snowballrun_running_reindeer_opponent = {
        R.drawable.snowballrun_running_reindeer_opponent_01,
        R.drawable.snowballrun_running_reindeer_opponent_02,
        R.drawable.snowballrun_running_reindeer_opponent_03,
        R.drawable.snowballrun_running_reindeer_opponent_04,
        R.drawable.snowballrun_running_reindeer_opponent_05,
        R.drawable.snowballrun_running_reindeer_opponent_06,
        R.drawable.snowballrun_running_reindeer_opponent_07,
        R.drawable.snowballrun_running_reindeer_opponent_08,
        R.drawable.snowballrun_running_reindeer_opponent_09,
        R.drawable.snowballrun_running_reindeer_opponent_10,
        R.drawable.snowballrun_running_reindeer_opponent_11,
        R.drawable.snowballrun_running_reindeer_opponent_12,
        R.drawable.snowballrun_running_reindeer_opponent_13,
        R.drawable.snowballrun_running_reindeer_opponent_14,
        R.drawable.snowballrun_running_reindeer_opponent_15,
        R.drawable.snowballrun_running_reindeer_opponent_16,
    };

    public static int[] snowballrun_reindeer_squish = {
        R.drawable.snowballrun_reindeer_squished_01,
        R.drawable.snowballrun_reindeer_squished_02,
        R.drawable.snowballrun_reindeer_squished_03,
        R.drawable.snowballrun_reindeer_squished_04,
    };

    public static int[] running_powerup = {
        R.drawable.running_powerup_00,
        R.drawable.running_powerup_01,
        R.drawable.running_powerup_02,
        R.drawable.running_powerup_03,
        R.drawable.running_powerup_04,
        R.drawable.running_powerup_05,
        R.drawable.running_powerup_06,
        R.drawable.running_powerup_07,
    };

    public static int[] snowballrun_running_losing = {
        R.drawable.snowballrun_running_losing01,
        R.drawable.snowballrun_running_losing02,
        R.drawable.snowballrun_running_losing03,
        R.drawable.snowballrun_running_losing04,
        R.drawable.snowballrun_running_losing05,
        R.drawable.snowballrun_running_losing06,
        R.drawable.snowballrun_running_losing07,
        R.drawable.snowballrun_running_losing08,
        R.drawable.snowballrun_running_losing09,
        R.drawable.snowballrun_running_losing10,
        R.drawable.snowballrun_running_losing11,
        R.drawable.snowballrun_running_losing12,
        R.drawable.snowballrun_running_losing13,
        R.drawable.snowballrun_running_losing14,
        R.drawable.snowballrun_running_losing15,
        R.drawable.snowballrun_running_losing16,
    };

    public static int[] snowballrun_running_normal = {
        R.drawable.snowballrun_running_normal01,
        R.drawable.snowballrun_running_normal02,
        R.drawable.snowballrun_running_normal03,
        R.drawable.snowballrun_running_normal04,
        R.drawable.snowballrun_running_normal05,
        R.drawable.snowballrun_running_normal06,
        R.drawable.snowballrun_running_normal07,
        R.drawable.snowballrun_running_normal08,
        R.drawable.snowballrun_running_normal09,
        R.drawable.snowballrun_running_normal10,
        R.drawable.snowballrun_running_normal11,
        R.drawable.snowballrun_running_normal12,
        R.drawable.snowballrun_running_normal13,
        R.drawable.snowballrun_running_normal14,
        R.drawable.snowballrun_running_normal15,
        R.drawable.snowballrun_running_normal16,
    };

    public static int[] snowballrun_running_sidestep = {
        R.drawable.snowballrun_sidestep,
    };

    public static int[] snowballrun_running_appearing = {
        R.drawable.snowballrun_running_appearing_01,
        R.drawable.snowballrun_running_appearing_02,
        R.drawable.snowballrun_running_appearing_03,
        R.drawable.snowballrun_running_appearing_04,
        R.drawable.snowballrun_running_appearing_05,
        R.drawable.snowballrun_running_appearing_06,
        R.drawable.snowballrun_running_appearing_07,
        R.drawable.snowballrun_running_appearing_08,
        R.drawable.snowballrun_running_appearing_09,
        R.drawable.snowballrun_running_appearing_10,
        R.drawable.snowballrun_running_appearing_11,
        R.drawable.snowballrun_running_appearing_12,
    };

    public static int[] tutorial_running = {
        R.drawable.snowballrun_tutorials_01,
        R.drawable.snowballrun_tutorials_02,
        R.drawable.snowballrun_tutorials_03,
        R.drawable.snowballrun_tutorials_04,
        R.drawable.snowballrun_tutorials_05,
        R.drawable.snowballrun_tutorials_06,
        R.drawable.snowballrun_tutorials_07,
        R.drawable.snowballrun_tutorials_08,
        R.drawable.snowballrun_tutorials_09,
        R.drawable.snowballrun_tutorials_10,
        R.drawable.snowballrun_tutorials_11,
        R.drawable.snowballrun_tutorials_12,
        R.drawable.snowballrun_tutorials_13,
        R.drawable.snowballrun_tutorials_14,
        R.drawable.snowballrun_tutorials_15,
        R.drawable.snowballrun_tutorials_16,
        R.drawable.snowballrun_tutorials_17,
        R.drawable.snowballrun_tutorials_18,
    };
}
